/*

* Copyright 2009 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ022WT00.java

*

* Created on 18/08/09 11:04:02

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

import q02b.exe.arquitectura.utils.tablasBD.*;

import java.util.ArrayList;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public class Q02bTablaBDQ022WS00 extends Q02bTablaBD implements Q02bITablaBDQ022WS00 {

    private static final long serialVersionUID =1L;

    /** Constante para la propiedad Q022WT00_NI */

    public final static int COLUMN_Q022WT00_NI = 1;

    /** Constante para la propiedad Q022WT00_NI */

    public final static String NOMCOLUMN_Q022WT00_NI = "Q022WT00_NI";

    /** Constante para la propiedad Q022WT00_NI */

    public final static int TAM_MAXIMO_Q022WT00_NI = 8;

    /** Constante para la propiedad Q022NT00_CODIGO */

    public final static int COLUMN_Q022NT00_CODIGO = 2;

    /** Constante para la propiedad Q022NT00_CODIGO */

    public final static String NOMCOLUMN_Q022NT00_CODIGO = "Q022NT00_CODIGO";

    /** Constante para la propiedad Q022NT00_CODIGO */

    public final static int TAM_MAXIMO_Q022NT00_CODIGO = 5;

    /** Constante para la propiedad Q022WT00_ID_GRUPO */

    public final static int COLUMN_Q022WT00_ID_GRUPO = 3;

    /** Constante para la propiedad Q022WT00_ID_GRUPO */

    public final static String NOMCOLUMN_Q022WT00_ID_GRUPO = "Q022WT00_ID_GRUPO";

    /** Constante para la propiedad Q022WT00_ID_GRUPO */

    public final static int TAM_MAXIMO_Q022WT00_ID_GRUPO = 8;

    /** Constante para la propiedad Q022WT00_ID_CUES */

    public final static int COLUMN_Q022WT00_ID_CUES = 4;

    /** Constante para la propiedad Q022WT00_ID_CUES */

    public final static String NOMCOLUMN_Q022WT00_ID_CUES = "Q022WT00_ID_CUES";

    /** Constante para la propiedad Q022WT00_ID_CUES */

    public final static int TAM_MAXIMO_Q022WT00_ID_CUES = 10;

    /** Constante para la propiedad Q022WT00_DIRECCIÓN */

    public final static int COLUMN_Q022WT00_DIRECCIÓN = 5;

    /** Constante para la propiedad Q022WT00_DIRECCIÓN */

    public final static String NOMCOLUMN_Q022WT00_DIRECCIÓN = "Q022WT00_DIRECCIÓN";

    /** Constante para la propiedad Q022WT00_DIRECCIÓN */

    public final static int TAM_MAXIMO_Q022WT00_DIRECCIÓN = 250;

    /** Constante para la propiedad Q022WT00_ESTADO */

    public final static int COLUMN_Q022WT00_ESTADO = 6;

    /** Constante para la propiedad Q022WT00_ESTADO */

    public final static String NOMCOLUMN_Q022WT00_ESTADO = "Q022WT00_ESTADO";

    /** Constante para la propiedad Q022WT00_ESTADO */

    public final static int TAM_MAXIMO_Q022WT00_ESTADO = 2;

    /** Constante para la propiedad Q022WT00_FECHA_GRABACION */

    public final static int COLUMN_Q022WT00_FECHA_GRABACION = 7;

    /** Constante para la propiedad Q022WT00_FECHA_GRABACION */

    public final static String NOMCOLUMN_Q022WT00_FECHA_GRABACION = "Q022WT00_FECHA_GRABACION";

    /** Constante para la propiedad Q022WT00_FECHA_GRABACION */

    public final static int TAM_MAXIMO_Q022WT00_FECHA_GRABACION = 7;

    /** Constante para la propiedad Q022WT00_OBSERVACIONES */

    public final static int COLUMN_Q022WT00_OBSERVACIONES = 8;

    /** Constante para la propiedad Q022WT00_OBSERVACIONES */

    public final static String NOMCOLUMN_Q022WT00_OBSERVACIONES = "Q022WT00_OBSERVACIONES";

    /** Constante para la propiedad Q022WT00_OBSERVACIONES */

    public final static int TAM_MAXIMO_Q022WT00_OBSERVACIONES = 250;

    /** Constante para la propiedad NUMCOLUMNAS */

    public final static int COLUMN_NUMCOLUMNAS = 8;

    protected StringBuffer queryLog = new StringBuffer();

    /** Holds value of property Q022WT00_NI*/

    protected Integer Q022WT00_NI = null;

    /** Holds value of property Q022WT00_NI_WHERE */

    protected Integer Q022WT00_NI_WHERE = null;

    protected boolean Q022WT00_NI_MODIF = false;

    /** Holds value of property Q022NT00_CODIGO*/

    protected String Q022NT00_CODIGO = null;

    /** Holds value of property Q022NT00_CODIGO_WHERE */

    protected String Q022NT00_CODIGO_WHERE = null;

    protected boolean Q022NT00_CODIGO_MODIF = false;

    /** Holds value of property Q022WT00_ID_GRUPO*/

    protected Integer Q022WT00_ID_GRUPO = null;

    /** Holds value of property Q022WT00_ID_GRUPO_WHERE */

    protected Integer Q022WT00_ID_GRUPO_WHERE = null;

    protected boolean Q022WT00_ID_GRUPO_MODIF = false;

    /** Holds value of property Q022WT00_ID_CUES*/

    protected Long Q022WT00_ID_CUES = null;

    /** Holds value of property Q022WT00_ID_CUES_WHERE */

    protected Long Q022WT00_ID_CUES_WHERE = null;

    protected boolean Q022WT00_ID_CUES_MODIF = false;

    /** Holds value of property Q022WT00_DIRECCIÓN*/

    protected String Q022WT00_DIRECCIÓN = null;

    /** Holds value of property Q022WT00_DIRECCIÓN_WHERE */

    protected String Q022WT00_DIRECCIÓN_WHERE = null;

    protected boolean Q022WT00_DIRECCIÓN_MODIF = false;

    /** Holds value of property Q022WT00_ESTADO*/

    protected String Q022WT00_ESTADO = null;

    /** Holds value of property Q022WT00_ESTADO_WHERE */

    protected String Q022WT00_ESTADO_WHERE = null;

    protected boolean Q022WT00_ESTADO_MODIF = false;

    /** Holds value of property Q022WT00_FECHA_GRABACION*/

    protected java.util.Date Q022WT00_FECHA_GRABACION = null;

    /** Holds value of property Q022WT00_FECHA_GRABACION_WHERE */

    protected java.util.Date Q022WT00_FECHA_GRABACION_WHERE = null;

    protected boolean Q022WT00_FECHA_GRABACION_MODIF = false;

    /** Holds value of property Q022WT00_OBSERVACIONES*/

    protected String Q022WT00_OBSERVACIONES = null;

    /** Holds value of property Q022WT00_OBSERVACIONES_WHERE */

    protected String Q022WT00_OBSERVACIONES_WHERE = null;

    protected boolean Q022WT00_OBSERVACIONES_MODIF = false;

    /** Holds value of property auditUser. */

    protected Long  auditUser = new Long(0);

    /** Holds value of property numMaxRegistros. */

    protected int  numMaxRegistros = 0;

    /** Holds value of property numInicio. */

    protected int  numInicio = 0;

    /** Holds value of property numFinal. */

    protected int  numFinal = 0;

    /** Holds value of property orderBy. */

    protected String  orderBy = null;

    /** Holds value of property limitRows. */

    protected boolean  limitRows = false;

    /** Holds value of property aditionalWhere. */

    protected String  aditionalWhere = null;

    /** Holds value of property initialWhere. */

    protected String  initialWhere = null;

    /** Holds value of property fixedWhere. */

    protected String  fixedWhere = null;

    /** Holds value of property distinct. */

    protected String  distinct = null;

    /** Holds value of property groupBy. */

    protected String  groupBy = null;

    /** Holds value of property max. */

    protected String  max = null;

    /** Holds value of property fechaClase. */

    protected static String sFechaClase = "18/08/09 11:04:02";

    protected String columnas[] =  {"Q022WT00_NI", "Q022NT00_CODIGO", "Q022WT00_ID_GRUPO", "Q022WT00_ID_CUES", "Q022WT00_DIRECCIÓN", "Q022WT00_ESTADO", "Q022WT00_FECHA_GRABACION", "Q022WT00_OBSERVACIONES"};

    protected int tipos[] =  {3, 12, 3, 3, 12, 12, 93, 12};

    protected int longitudes[] =  {8, 5, 8, 10, 250, 2, 7, 250};

    protected ArrayList columnasSelect = new ArrayList();

    protected StringBuffer sbColumnasSelect = new StringBuffer();

    protected ArrayList alias = new ArrayList();

    protected String columnasPK[] =  {"Q022WT00_NI"};

    protected String columnasFK[] =  {null};

    protected String tablasFK[] =  {null};

    protected boolean nullables[] =  {false,true,false,false,true,true,true,true};



    protected Class arrClases[]={java.sql.Connection.class};

    protected Object arrObjetos[]={connection};

    protected String tableFrom="Q022WS00";

    protected int regModif=0;

    protected boolean uncommittedRead=false;

    protected boolean forUpdate=false;

    protected Q02bITablaBDQ022WS00 iTablaBDQ022WS00 = null;

    /** Creates new Q022WT00 */

    public Q02bTablaBDQ022WS00() {

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Creates new Q022WS00 */

    public Q02bTablaBDQ022WS00(Connection con) {

        connection=con;

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Method reset */

    public void reset() {

        iTablaBDQ022WS00.setQ022WT00_NI(null);

        iTablaBDQ022WS00.setQ022WT00_NI_WHERE(null);

        iTablaBDQ022WS00.setQ022WT00_NI_MODIF(false);

        iTablaBDQ022WS00.setQ022NT00_CODIGO(null);

        iTablaBDQ022WS00.setQ022NT00_CODIGO_WHERE(null);

        iTablaBDQ022WS00.setQ022NT00_CODIGO_MODIF(false);

        iTablaBDQ022WS00.setQ022WT00_ID_GRUPO(null);

        iTablaBDQ022WS00.setQ022WT00_ID_GRUPO_WHERE(null);

        iTablaBDQ022WS00.setQ022WT00_ID_GRUPO_MODIF(false);

        iTablaBDQ022WS00.setQ022WT00_ID_CUES(null);

        iTablaBDQ022WS00.setQ022WT00_ID_CUES_WHERE(null);

        iTablaBDQ022WS00.setQ022WT00_ID_CUES_MODIF(false);

        iTablaBDQ022WS00.setQ022WT00_DIRECCIÓN(null);

        iTablaBDQ022WS00.setQ022WT00_DIRECCIÓN_WHERE(null);

        iTablaBDQ022WS00.setQ022WT00_DIRECCIÓN_MODIF(false);

        iTablaBDQ022WS00.setQ022WT00_ESTADO(null);

        iTablaBDQ022WS00.setQ022WT00_ESTADO_WHERE(null);

        iTablaBDQ022WS00.setQ022WT00_ESTADO_MODIF(false);

        iTablaBDQ022WS00.setQ022WT00_FECHA_GRABACION(null);

        iTablaBDQ022WS00.setQ022WT00_FECHA_GRABACION_WHERE(null);

        iTablaBDQ022WS00.setQ022WT00_FECHA_GRABACION_MODIF(false);

        iTablaBDQ022WS00.setQ022WT00_OBSERVACIONES(null);

        iTablaBDQ022WS00.setQ022WT00_OBSERVACIONES_WHERE(null);

        iTablaBDQ022WS00.setQ022WT00_OBSERVACIONES_MODIF(false);

        iTablaBDQ022WS00.setNumMaxRegistros(0);

        iTablaBDQ022WS00.setNumInicio(0);

        iTablaBDQ022WS00.setNumFinal(0);

        iTablaBDQ022WS00.setOrderBy(null);

        iTablaBDQ022WS00.setAditionalWhere(null);

        iTablaBDQ022WS00.setInitialWhere(null);

        iTablaBDQ022WS00.setFixedWhere(null);

        iTablaBDQ022WS00.setDistinct(null);

        iTablaBDQ022WS00.setMax(null);

        columnasSelect = null;

        tableFrom = "Q022WS00";

        iTablaBDQ022WS00.setUncommittedRead(false);

        iTablaBDQ022WS00.setForUpdate(false);

        iTablaBDQ022WS00.setGroupBy(null);

    }



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna) {

        iTablaBDQ022WS00.addColumnSelect(nombreColumna);

    }



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect() {

        iTablaBDQ022WS00.clearColumnsSelect();

    }



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas) {

        iTablaBDQ022WS00.setColumnsSelect(listaColumnas);

    }



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas) {

        iTablaBDQ022WS00.setTableFrom(listaTablas);

    }



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom() {

        return iTablaBDQ022WS00.getTableFrom();

    }



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif() {

        return iTablaBDQ022WS00.getRegModif();

    }



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur) {

        iTablaBDQ022WS00.setUncommittedRead(ur);

    }



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead() {

        return iTablaBDQ022WS00.getUncommittedRead();

    }



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu) {

        iTablaBDQ022WS00.setForUpdate(fu);

    }



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate() {

        return iTablaBDQ022WS00.getForUpdate();

    }



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas) {

             iTablaBDQ022WS00.setGroupBy(listaColumnas);

    }



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy() {

        return iTablaBDQ022WS00.getGroupBy();

    }



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect() {

        return iTablaBDQ022WS00.getColumnsSelect();

    }



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException  {

        return iTablaBDQ022WS00.select(where);

    }



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException  {

        return iTablaBDQ022WS00.selectCount(where);

    }



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException  {

        return iTablaBDQ022WS00.selectDistinct(where);

    }



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException  {

        return iTablaBDQ022WS00.selectMax(where);

    }



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException  {

        return iTablaBDQ022WS00.select();

    }



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException  {

        return iTablaBDQ022WS00.selectCount();

    }



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException  {

        return iTablaBDQ022WS00.selectDistinct();

    }



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException  {

        return iTablaBDQ022WS00.selectMax();

    }



    /** Method update() */

    public void update()throws SQLException  {

        iTablaBDQ022WS00.update();

        }



    /** Method update(where) 

    * @param where New value of property WHERE.

    */

    public void update(String  where )throws SQLException  {

        iTablaBDQ022WS00.update(where);

    }



    /** Method delete(where) 

    * @param where New value of property WHERE.

    */

    public void delete(String where)throws SQLException  {

        iTablaBDQ022WS00.delete(where);

    }



    /** Method delete */

    public void delete()throws SQLException  {

        iTablaBDQ022WS00.delete();

    }



    /** Method insert */

    public void insert()throws SQLException  {

        iTablaBDQ022WS00.insert();

    }



    /** Setter for property Q022WT00_NI.

    * @param valor New value of propertyQ022WT00_NI.

    */

    public void setQ022WT00_NI(int valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_NI=new Integer(valor);

        }else{

           iTablaBDQ022WS00.setQ022WT00_NI(valor);

        }

    }



    public void setQ022WT00_NI(Integer valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_NI=valor;

        if (valor==null){

             this.Q022WT00_NI_MODIF=true;

        }

        }else{

           iTablaBDQ022WS00.setQ022WT00_NI(valor);

           if (valor==null){

                iTablaBDQ022WS00.setQ022WT00_NI_MODIF(true);

           }

        }

    }



    public void setQ022WT00_NI_WHERE(int valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_NI_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022WS00.setQ022WT00_NI_WHERE(valor);

        }

    }



    public void setQ022WT00_NI_WHERE(Integer valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_NI_WHERE=valor;

        }else{

           iTablaBDQ022WS00.setQ022WT00_NI_WHERE(valor);

        }

    }



    public void setQ022WT00_NI_MODIF(boolean valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_NI_MODIF=valor;

        }else{

           iTablaBDQ022WS00.setQ022WT00_NI_MODIF(valor);

        }

    }



    /** Setter for property Q022NT00_CODIGO.

    * @param valor New value of propertyQ022NT00_CODIGO.

    */

    public void setQ022NT00_CODIGO(String valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022NT00_CODIGO=valor;

        if (valor==null){

            this.Q022NT00_CODIGO_MODIF =true;

        }

        }else{

           iTablaBDQ022WS00.setQ022NT00_CODIGO(valor);

           if (valor==null){

              iTablaBDQ022WS00.setQ022NT00_CODIGO_MODIF(true);

           }

        }

    }



    public void setQ022NT00_CODIGO_WHERE(String valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022NT00_CODIGO_WHERE=valor;

        }else{

           iTablaBDQ022WS00.setQ022NT00_CODIGO_WHERE(valor);

        }

    }



    public void setQ022NT00_CODIGO_MODIF(boolean valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022NT00_CODIGO_MODIF=valor;

        }else{

           iTablaBDQ022WS00.setQ022NT00_CODIGO_MODIF(valor);

        }

    }



    /** Setter for property Q022WT00_ID_GRUPO.

    * @param valor New value of propertyQ022WT00_ID_GRUPO.

    */

    public void setQ022WT00_ID_GRUPO(int valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_ID_GRUPO=new Integer(valor);

        }else{

           iTablaBDQ022WS00.setQ022WT00_ID_GRUPO(valor);

        }

    }



    public void setQ022WT00_ID_GRUPO(Integer valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_ID_GRUPO=valor;

        if (valor==null){

             this.Q022WT00_ID_GRUPO_MODIF=true;

        }

        }else{

           iTablaBDQ022WS00.setQ022WT00_ID_GRUPO(valor);

           if (valor==null){

                iTablaBDQ022WS00.setQ022WT00_ID_GRUPO_MODIF(true);

           }

        }

    }



    public void setQ022WT00_ID_GRUPO_WHERE(int valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_ID_GRUPO_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022WS00.setQ022WT00_ID_GRUPO_WHERE(valor);

        }

    }



    public void setQ022WT00_ID_GRUPO_WHERE(Integer valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_ID_GRUPO_WHERE=valor;

        }else{

           iTablaBDQ022WS00.setQ022WT00_ID_GRUPO_WHERE(valor);

        }

    }



    public void setQ022WT00_ID_GRUPO_MODIF(boolean valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_ID_GRUPO_MODIF=valor;

        }else{

           iTablaBDQ022WS00.setQ022WT00_ID_GRUPO_MODIF(valor);

        }

    }



    /** Setter for property Q022WT00_ID_CUES.

    * @param valor New value of propertyQ022WT00_ID_CUES.

    */

    public void setQ022WT00_ID_CUES(long valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_ID_CUES=new Long(valor);

        }else{

           iTablaBDQ022WS00.setQ022WT00_ID_CUES(valor);

        }

    }



    public void setQ022WT00_ID_CUES(Long valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_ID_CUES=valor;

        if (valor==null){

             this.Q022WT00_ID_CUES_MODIF=true;

        }

        }else{

           iTablaBDQ022WS00.setQ022WT00_ID_CUES(valor);

           if (valor==null){

                iTablaBDQ022WS00.setQ022WT00_ID_CUES_MODIF(true);

           }

        }

    }



    public void setQ022WT00_ID_CUES_WHERE(long valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_ID_CUES_WHERE=new Long(valor);

        }else{

           iTablaBDQ022WS00.setQ022WT00_ID_CUES_WHERE(valor);

        }

    }



    public void setQ022WT00_ID_CUES_WHERE(Long valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_ID_CUES_WHERE=valor;

        }else{

           iTablaBDQ022WS00.setQ022WT00_ID_CUES_WHERE(valor);

        }

    }



    public void setQ022WT00_ID_CUES_MODIF(boolean valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_ID_CUES_MODIF=valor;

        }else{

           iTablaBDQ022WS00.setQ022WT00_ID_CUES_MODIF(valor);

        }

    }



    /** Setter for property Q022WT00_DIRECCIÓN.

    * @param valor New value of propertyQ022WT00_DIRECCIÓN.

    */

    public void setQ022WT00_DIRECCIÓN(String valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_DIRECCIÓN=valor;

        if (valor==null){

            this.Q022WT00_DIRECCIÓN_MODIF =true;

        }

        }else{

           iTablaBDQ022WS00.setQ022WT00_DIRECCIÓN(valor);

           if (valor==null){

              iTablaBDQ022WS00.setQ022WT00_DIRECCIÓN_MODIF(true);

           }

        }

    }



    public void setQ022WT00_DIRECCIÓN_WHERE(String valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_DIRECCIÓN_WHERE=valor;

        }else{

           iTablaBDQ022WS00.setQ022WT00_DIRECCIÓN_WHERE(valor);

        }

    }



    public void setQ022WT00_DIRECCIÓN_MODIF(boolean valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_DIRECCIÓN_MODIF=valor;

        }else{

           iTablaBDQ022WS00.setQ022WT00_DIRECCIÓN_MODIF(valor);

        }

    }



    /** Setter for property Q022WT00_ESTADO.

    * @param valor New value of propertyQ022WT00_ESTADO.

    */

    public void setQ022WT00_ESTADO(String valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_ESTADO=valor;

        if (valor==null){

            this.Q022WT00_ESTADO_MODIF =true;

        }

        }else{

           iTablaBDQ022WS00.setQ022WT00_ESTADO(valor);

           if (valor==null){

              iTablaBDQ022WS00.setQ022WT00_ESTADO_MODIF(true);

           }

        }

    }



    public void setQ022WT00_ESTADO_WHERE(String valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_ESTADO_WHERE=valor;

        }else{

           iTablaBDQ022WS00.setQ022WT00_ESTADO_WHERE(valor);

        }

    }



    public void setQ022WT00_ESTADO_MODIF(boolean valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_ESTADO_MODIF=valor;

        }else{

           iTablaBDQ022WS00.setQ022WT00_ESTADO_MODIF(valor);

        }

    }



    /** Setter for property Q022WT00_FECHA_GRABACION.

    * @param valor New value of propertyQ022WT00_FECHA_GRABACION.

    */

    public void setQ022WT00_FECHA_GRABACION(java.util.Date valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_FECHA_GRABACION=valor;

        if (valor==null){

            this.Q022WT00_FECHA_GRABACION_MODIF =true;

        }

        }else{

           iTablaBDQ022WS00.setQ022WT00_FECHA_GRABACION(valor);

           if (valor==null){

              iTablaBDQ022WS00.setQ022WT00_FECHA_GRABACION_MODIF(true);

           }

        }

    }



    public void setQ022WT00_FECHA_GRABACION_WHERE(java.util.Date valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_FECHA_GRABACION_WHERE=valor;

        }else{

           iTablaBDQ022WS00.setQ022WT00_FECHA_GRABACION_WHERE(valor);

        }

    }



    public void setQ022WT00_FECHA_GRABACION_MODIF(boolean valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_FECHA_GRABACION_MODIF=valor;

        }else{

           iTablaBDQ022WS00.setQ022WT00_FECHA_GRABACION_MODIF(valor);

        }

    }



    /** Setter for property Q022WT00_OBSERVACIONES.

    * @param valor New value of propertyQ022WT00_OBSERVACIONES.

    */

    public void setQ022WT00_OBSERVACIONES(String valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_OBSERVACIONES=valor;

        if (valor==null){

            this.Q022WT00_OBSERVACIONES_MODIF =true;

        }

        }else{

           iTablaBDQ022WS00.setQ022WT00_OBSERVACIONES(valor);

           if (valor==null){

              iTablaBDQ022WS00.setQ022WT00_OBSERVACIONES_MODIF(true);

           }

        }

    }



    public void setQ022WT00_OBSERVACIONES_WHERE(String valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_OBSERVACIONES_WHERE=valor;

        }else{

           iTablaBDQ022WS00.setQ022WT00_OBSERVACIONES_WHERE(valor);

        }

    }



    public void setQ022WT00_OBSERVACIONES_MODIF(boolean valor) {

        if (iTablaBDQ022WS00==null){

        this.Q022WT00_OBSERVACIONES_MODIF=valor;

        }else{

           iTablaBDQ022WS00.setQ022WT00_OBSERVACIONES_MODIF(valor);

        }

    }



    /** Setter for property auditUser. 

    * @param valor New value of property auditUser.

    */

    public void  setAuditUser (long valor) {

             this.auditUser= new Long(valor);

    }



    /** Setter for property auditUser. 

    * @param valor New value of property auditUser.

    */

    public void  setAuditUser (Long valor) {

             this.auditUser= valor;

    }



    /** Getter for property Q022WT00_NI.

    * @return Value of property Q022WT00_NI.

    */

    public Integer getQ022WT00_NI() {

        if (iTablaBDQ022WS00==null){

            return this.Q022WT00_NI;

        }else{

           return iTablaBDQ022WS00.getQ022WT00_NI();

        }

    }



    /** Getter for property Q022WT00_NI_WHERE.

    * @return Value of property Q022WT00_NI_WHERE.

    */

    public Integer getQ022WT00_NI_WHERE() {

        if (iTablaBDQ022WS00==null){

            return this.Q022WT00_NI_WHERE;

        }else{

           return iTablaBDQ022WS00.getQ022WT00_NI_WHERE();

        }

    }



    /** Getter for property Q022NT00_CODIGO.

    * @return Value of property Q022NT00_CODIGO.

    */

    public String getQ022NT00_CODIGO() {

        if (iTablaBDQ022WS00==null){

            return this.Q022NT00_CODIGO;

        }else{

           return iTablaBDQ022WS00.getQ022NT00_CODIGO();

        }

    }



    /** Getter for property Q022NT00_CODIGO_WHERE.

    * @return Value of property Q022NT00_CODIGO_WHERE.

    */

    public String getQ022NT00_CODIGO_WHERE() {

        if (iTablaBDQ022WS00==null){

            return this.Q022NT00_CODIGO_WHERE;

        }else{

           return iTablaBDQ022WS00.getQ022NT00_CODIGO_WHERE();

        }

    }



    /** Getter for property Q022WT00_ID_GRUPO.

    * @return Value of property Q022WT00_ID_GRUPO.

    */

    public Integer getQ022WT00_ID_GRUPO() {

        if (iTablaBDQ022WS00==null){

            return this.Q022WT00_ID_GRUPO;

        }else{

           return iTablaBDQ022WS00.getQ022WT00_ID_GRUPO();

        }

    }



    /** Getter for property Q022WT00_ID_GRUPO_WHERE.

    * @return Value of property Q022WT00_ID_GRUPO_WHERE.

    */

    public Integer getQ022WT00_ID_GRUPO_WHERE() {

        if (iTablaBDQ022WS00==null){

            return this.Q022WT00_ID_GRUPO_WHERE;

        }else{

           return iTablaBDQ022WS00.getQ022WT00_ID_GRUPO_WHERE();

        }

    }



    /** Getter for property Q022WT00_ID_CUES.

    * @return Value of property Q022WT00_ID_CUES.

    */

    public Long getQ022WT00_ID_CUES() {

        if (iTablaBDQ022WS00==null){

            return this.Q022WT00_ID_CUES;

        }else{

           return iTablaBDQ022WS00.getQ022WT00_ID_CUES();

        }

    }



    /** Getter for property Q022WT00_ID_CUES_WHERE.

    * @return Value of property Q022WT00_ID_CUES_WHERE.

    */

    public Long getQ022WT00_ID_CUES_WHERE() {

        if (iTablaBDQ022WS00==null){

            return this.Q022WT00_ID_CUES_WHERE;

        }else{

           return iTablaBDQ022WS00.getQ022WT00_ID_CUES_WHERE();

        }

    }



    /** Getter for property Q022WT00_DIRECCIÓN.

    * @return Value of property Q022WT00_DIRECCIÓN.

    */

    public String getQ022WT00_DIRECCIÓN() {

        if (iTablaBDQ022WS00==null){

            return this.Q022WT00_DIRECCIÓN;

        }else{

           return iTablaBDQ022WS00.getQ022WT00_DIRECCIÓN();

        }

    }



    /** Getter for property Q022WT00_DIRECCIÓN_WHERE.

    * @return Value of property Q022WT00_DIRECCIÓN_WHERE.

    */

    public String getQ022WT00_DIRECCIÓN_WHERE() {

        if (iTablaBDQ022WS00==null){

            return this.Q022WT00_DIRECCIÓN_WHERE;

        }else{

           return iTablaBDQ022WS00.getQ022WT00_DIRECCIÓN_WHERE();

        }

    }



    /** Getter for property Q022WT00_ESTADO.

    * @return Value of property Q022WT00_ESTADO.

    */

    public String getQ022WT00_ESTADO() {

        if (iTablaBDQ022WS00==null){

            return this.Q022WT00_ESTADO;

        }else{

           return iTablaBDQ022WS00.getQ022WT00_ESTADO();

        }

    }



    /** Getter for property Q022WT00_ESTADO_WHERE.

    * @return Value of property Q022WT00_ESTADO_WHERE.

    */

    public String getQ022WT00_ESTADO_WHERE() {

        if (iTablaBDQ022WS00==null){

            return this.Q022WT00_ESTADO_WHERE;

        }else{

           return iTablaBDQ022WS00.getQ022WT00_ESTADO_WHERE();

        }

    }



    /** Getter for property Q022WT00_FECHA_GRABACION.

    * @return Value of property Q022WT00_FECHA_GRABACION.

    */

    public java.util.Date getQ022WT00_FECHA_GRABACION() {

        if (iTablaBDQ022WS00==null){

            return this.Q022WT00_FECHA_GRABACION;

        }else{

           return iTablaBDQ022WS00.getQ022WT00_FECHA_GRABACION();

        }

    }



    /** Getter for property Q022WT00_FECHA_GRABACION_WHERE.

    * @return Value of property Q022WT00_FECHA_GRABACION_WHERE.

    */

    public java.util.Date getQ022WT00_FECHA_GRABACION_WHERE() {

        if (iTablaBDQ022WS00==null){

            return this.Q022WT00_FECHA_GRABACION_WHERE;

        }else{

           return iTablaBDQ022WS00.getQ022WT00_FECHA_GRABACION_WHERE();

        }

    }



    /** Getter for property Q022WT00_OBSERVACIONES.

    * @return Value of property Q022WT00_OBSERVACIONES.

    */

    public String getQ022WT00_OBSERVACIONES() {

        if (iTablaBDQ022WS00==null){

            return this.Q022WT00_OBSERVACIONES;

        }else{

           return iTablaBDQ022WS00.getQ022WT00_OBSERVACIONES();

        }

    }



    /** Getter for property Q022WT00_OBSERVACIONES_WHERE.

    * @return Value of property Q022WT00_OBSERVACIONES_WHERE.

    */

    public String getQ022WT00_OBSERVACIONES_WHERE() {

        if (iTablaBDQ022WS00==null){

            return this.Q022WT00_OBSERVACIONES_WHERE;

        }else{

           return iTablaBDQ022WS00.getQ022WT00_OBSERVACIONES_WHERE();

        }

    }



    /** Getter for property auditUser.

    * @return Value of property auditUser.

    */

    public Long getAuditUser () {

        return auditUser;

    }



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor) {

        if (iTablaBDQ022WS00==null){

           this.idConexion = valor;

        }else{

           iTablaBDQ022WS00.setIdConexion(valor);

        }

    }



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase() {

        if (iTablaBDQ022WS00==null){

           return sFechaClase;

        }else{

           return iTablaBDQ022WS00.getFechaClase();

        }

    }



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion() {

        if (iTablaBDQ022WS00==null){

           return this.idConexion;

        }else{

           return iTablaBDQ022WS00.getIdConexion();

        }

    }



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog() {

        if (iTablaBDQ022WS00==null){

           return this.queryLog.toString();

        }else{

           return iTablaBDQ022WS00.getQueryLog();

        }

    }



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor) {

        if (iTablaBDQ022WS00==null){

        this.numInicio = valor;

        }else{

           iTablaBDQ022WS00.setNumInicio(valor);

        }

    }



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio() {

        if (iTablaBDQ022WS00==null){

           return this.numInicio;

        }else{

           return iTablaBDQ022WS00.getNumInicio();

        }

    }



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor) {

        if (iTablaBDQ022WS00==null){

        this.numFinal = valor;

        }else{

           iTablaBDQ022WS00.setNumFinal(valor);

        }

    }



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal() {

        if (iTablaBDQ022WS00==null){

           return this.numFinal;

        }else{

           return iTablaBDQ022WS00.getNumFinal();

        }

    }



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor) {

        if (iTablaBDQ022WS00==null){

        this.numMaxRegistros = valor;

        }else{

           iTablaBDQ022WS00.setNumMaxRegistros(valor);

        }

    }



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros() {

        if (iTablaBDQ022WS00==null){

           return this.numMaxRegistros;

        }else{

           return iTablaBDQ022WS00.getNumMaxRegistros();

        }

    }



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor) {

        if (iTablaBDQ022WS00==null){

        this.limitRows = valor;

        }else{

           iTablaBDQ022WS00.setLimitRows(valor);

        }

    }



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows() {

        if (iTablaBDQ022WS00==null){

           return this.limitRows;

        }else{

           return iTablaBDQ022WS00.getLimitRows();

        }

    }



    /** Getter for property connection.

    * @return Value of property connection.

    */

    public Connection getConn() {

        if (iTablaBDQ022WS00==null){

           return this.connection;

        }else{

           return iTablaBDQ022WS00.getConn();

        }

    }



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor) {

        if (iTablaBDQ022WS00==null){

           this.orderBy = valor;

        }else{

           iTablaBDQ022WS00.setOrderBy(valor);

        }

    }



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy() {

        if (iTablaBDQ022WS00==null){

           return this.orderBy;

        }else{

           return iTablaBDQ022WS00.getOrderBy();

        }

    }



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor) {

        if (iTablaBDQ022WS00==null){

           this.aditionalWhere = valor;

        }else{

           iTablaBDQ022WS00.setAditionalWhere(valor);

        }

    }



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere() {

        if (iTablaBDQ022WS00==null){

           return this.aditionalWhere;

        }else{

           return iTablaBDQ022WS00.getAditionalWhere();

        }

    }



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere() {

        if (iTablaBDQ022WS00==null){

           return this.initialWhere;

        }else{

           return iTablaBDQ022WS00.getInitialWhere();

        }

    }



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor) {

        if (iTablaBDQ022WS00==null){

           this.initialWhere = valor;

        }else{

           iTablaBDQ022WS00.setInitialWhere(valor);

        }

    }



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere() {

        if (iTablaBDQ022WS00==null){

           return this.fixedWhere;

        }else{

           return iTablaBDQ022WS00.getFixedWhere();

        }

    }



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor) {

        if (iTablaBDQ022WS00==null){

           this.fixedWhere = valor;

        }else{

           iTablaBDQ022WS00.setFixedWhere(valor);

        }

    }



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor) {

        if (iTablaBDQ022WS00==null){

           this.distinct = valor;

        }else{

           iTablaBDQ022WS00.setDistinct(valor);

        }

    }



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct() {

        if (iTablaBDQ022WS00==null){

           return this.distinct;

        }else{

           return iTablaBDQ022WS00.getDistinct();

        }

    }



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor) {

        if (iTablaBDQ022WS00==null){

           this.max = valor;

        }else{

           iTablaBDQ022WS00.setMax(valor);

        }

    }



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax() {

        if (iTablaBDQ022WS00==null){

           return this.max;

        }else{

           return iTablaBDQ022WS00.getMax();

        }

    }



    /** Method freeResources.

    * @return void.

    */

    public void freeResources() {

        if (iTablaBDQ022WS00==null){

           super.freeResources();

        }else{

           iTablaBDQ022WS00.freeResources();

        }

    }



    /** Method freeResourcesNotConnection.

    * @return void.

    */

    public void freeResourcesNotConnection() {

        if (iTablaBDQ022WS00==null){

           super.freeResourcesNotConnection();

        }else{

           iTablaBDQ022WS00.freeResourcesNotConnection();

        }

    }



    /** Method getColumnas.

    * @return String[].

    */

    public String[] getColumnas() {

        return this.columnas;

    }



    /** Method getColumnasPK.

    * @return String[].

    */

    public String[] getColumnasPK() {

        return this.columnasPK;

    }



    /** Method getTipos.

    * @return int[].

    */

    public int[] getTipos() {

        return this.tipos;

    }



}

